.panel.panel-default{"ng-controller" => "ConversationPracticeCtrl"}
  .panel-heading{ :style => "border-bottom:1px solid #f0f0f0"}
    %h4.text-primary Extent of Soil & Water Conservation Practices
  .panel-body
    .table-responsive
      %table.table
        %thead
          %tr
            %th{ :style => "text-align:center;"} Conservation Structure  
            %th{ :style => "text-align:center;"} Year
            %th{ :style => "text-align:center;"} Status
            %th{ :style => "text-align:center;"} Implemented by Self/External Agency 
            %th{ :style => "text-align:center;"} Name of Agency  
     
        %tbody
          %tr{ "ng-repeat" => "conversation_practice in data_list "}
            %td{ :style => "text-align:center;"} {{ conversation_practice.conversation_structure.name }}
            %td{ :style => "text-align:center;"} {{ conversation_practice.year}}
            %td{ :style => "text-align:center;"} {{ conversation_practice.status}}
            %td{ :style => "text-align:center;"} {{ conversation_practice.implemented_by}}
            %td{ :style => "text-align:center;"} {{ conversation_practice.name_of_agency}}
            %td{:style=>"text-align:center;"} {{ marketing.price_obtained }}
            %td
              %a{ "ng-click" => "edit(conversation_practice.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td
              %a{ "ng-click" => "delete(conversation_practice.id, conversation_practice.url);" } 
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
          %tr#form_conversation_practice
            %td
              %select{"ng-model" => "vm.conversation_structure", "ng-options" => "conversation_structure.name for conversation_structure in conversation_structures track by conversation_structure.id", :class => "form-control", :placeholder => "Select Conversation Structure"}
                %option{:value=>'', :selected => 'selected'} Select Conversation Structure
            %td
              = number_field :year, '', :class => "form-control", "ng-model" => "vm.year"
            %td
              = select_tag :status, options_for_select(["Good","Slightly Damaged","Severely Damaged","Full Replacement Required", "Adopted", "Not Adopted"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.status"
            %td
              = select_tag :implemented_by, options_for_select(["Self","External Agency"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.implemented_by"
            %td
              = select_tag :name_of_agency, options_for_select(["Own", "NGO", "Govt.", "Farmer organization", "Other"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.name_of_agency"
              
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel 
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "next()"}
      %i.fa.fa-chevron-right{"aria-hidden"=>"true", :style=>"color:#FFF"}
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "prev()", :style => "margin-right:5px"} 
      %i.fa.fa-chevron-left{"aria-hidden"=>"true", :style=>"color:#FFF"}
      
